Description: Python 3.11: getargspec() is removed
Author: Thomas Goirand <zigo@debian.org>
Bug-Debian: https://bugs.debian.org/1028731
Forwarded: no
Last-Update: 2023-01-30

--- python-crank-0.7.2.orig/crank/util.py
+++ python-crank-0.7.2/crank/util.py
@@ -6,7 +6,7 @@ MIT License
 """
 
 import collections, sys, string
-from inspect import getargspec
+from inspect import getfullargspec
 
 __all__ = [
         'get_argspec', 'get_params_with_argspec', 'remove_argspec_params_from_params',
@@ -31,10 +31,10 @@ def get_argspec(func):
     try:
         argspec = _cached_argspecs[im_func]
     except KeyError:
-        spec = getargspec(im_func)
+        spec = getfullargspec(im_func)
         argvals = spec[3]
 
-        # this is a work around for a crappy api choice in getargspec
+        # this is a work around for a crappy api choice in getfullargspec
         if argvals is None:
             argvals = []
 
